pppoeconf not available before or after installation on DSL

Bug #1607555 reported by Richard Earl on 2016-07-28
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu MATE
Medium
Unassigned
ubuntu-mate-meta (Ubuntu)
Medium
Unassigned
Xenial
Medium
Unassigned

Bug Description

pppoeconf is missing from the ubuntu-mate-desktop meta-package.

Impact: My computer is wired via a SpeedStream DSL modem/router to the telephone line. Before I can go online my ISP requires a logon with password. I cannot do this when booting with any Ubuntu installation DVD I've used (14.04 & 16.04, both 32 and 64 bit). There is no way I've found to run pppoeconf to attach to the internet unless pppoeconf is available to do so.

Any attempt to use pppoeconf to configure the connection just tells me the package is not installed and to use sudo apt-get install pppoeconf but, of course, I cannot do this until pppoeconf enables me to get connected.

Test Case: apt rdepends pppoeconf should list pppoeconf in ubuntu-mate-core and ubuntu-mate-desktop.

Workaround: My workaround has been to download the pppoeconf.deb package to a thumb drive, then use GDebi to install it. This works but it's clumsy and it's only been through trial and error and a whole lot of time that I've figured this out. I doubt any newbie on dial-up or DSL will be able to connect to the internet and so is likely to abandon the OS.

nadrimajstor (ipejic) wrote :

There is
 Network Manager Applet -> Edit Connections... -> Add -> DSL -> Create...
that offers pppoe settings in the graphical installer.
(Haven't tried lately but it used to work just fine with the modem I had.)

no longer affects: ubuntu
Changed in ubuntu-mate:
status: New → Confirmed
status: Confirmed → Triaged
Changed in ubuntu-mate-meta (Ubuntu):
status: New → Triaged
Changed in ubuntu-mate-meta (Ubuntu Xenial):
status: New → Triaged
Changed in ubuntu-mate:
importance: Undecided → Medium
Changed in ubuntu-mate-meta (Ubuntu):
importance: Undecided → Medium
Changed in ubuntu-mate-meta (Ubuntu Xenial):
importance: Undecided → Medium
milestone: none → xenial-updates
Martin Wimpress (flexiondotorg) wrote :

Fixed in ubuntu-mate-meta 1.173 for Yakkety.

ubuntu-mate-meta (1.173) yakkety; urgency=medium

  * Refreshed dependencies
  * Added network-manager-pptp-gnome to core-recommends, desktop-
    recommends
  * Added pppoeconf to core-recommends, desktop-recommends
  * Removed dmraid from live
  * Removed grub-pc from live [i386]
  * Removed keyutils from live
  * Removed lvm2 from live
  * Removed yaboot from live [powerpc]

 -- Martin Wimpress <email address hidden> Fri, 29 Jul 2016 13:20:54 +0100

Changed in ubuntu-mate-meta (Ubuntu):
status: Triaged → Fix Released
description: updated
Martin Wimpress (flexiondotorg) wrote :

I've uploaded ubuntu-mate-meta (1.154.1) to xenial-proposed.

Changed in ubuntu-mate-meta (Ubuntu Xenial):
status: Triaged → Fix Committed

Hello Richard, or anyone else affected,

Accepted ubuntu-mate-meta into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubuntu-mate-meta/1.154.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Download full text (3.8 KiB)

To Chris, Martin and all others who've worked so hard to produce this
"fix"...

I've followed both links provided - with the result that I have only the
vaguest notion of what it is you are asking me to do (re testing), and,
absolutely no idea of how to do it. I am in complete awe of those of you
who do understand the incredible complexity involved in creating and
maintaining systems such as Ubuntu. I hasten to thank you for the "fix"
that I will just take on faith will work and will survive into upcoming
versions.

I am a longtime Windows user and have only recently switched from XP to
Ubuntu. My background is in social services not computer science. I am a
USER to the computer as a DRIVER is to an automobile. I know nothing about
what makes it tick under the hood and can only "drive" it when it works
properly. I again thank all of you for your continuing efforts to perfect
this great Ubuntu family of OS.

So... I regret I cannot "test" - hopefully those more skilled than I can
help in this regard.
Sincerely,
Richard Earl

On Wed, Sep 14, 2016 at 12:09 PM, Chris J Arges <email address hidden>
wrote:

> Hello Richard, or anyone else affected,
>
> Accepted ubuntu-mate-meta into xenial-proposed. The package will build
> now and be available at https://launchpad.net/ubuntu/+source/ubuntu-
> mate-meta/1.154.1 in a few hours, and then in the -proposed repository.
>
> Please help us by testing this new package. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
> enable and use -proposed. Your feedback will aid us getting this update
> out to other Ubuntu users.
>
> If this package fixes the bug for you, please add a comment to this bug,
> mentioning the version of the package you tested, and change the tag
> from verification-needed to verification-done. If it does not fix the
> bug for you, please add a comment stating that, and change the tag to
> verification-failed. In either case, details of your testing will help
> us make a better decision.
>
> Further information regarding the verification process can be found at
> https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in
> advance!
>
> ** Tags added: verification-needed
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1607555
>
> Title:
> pppoeconf not available before or after installation on DSL
>
> Status in ubuntu-mate:
> Triaged
> Status in ubuntu-mate-meta package in Ubuntu:
> Fix Released
> Status in ubuntu-mate-meta source package in Xenial:
> Fix Committed
>
> Bug description:
> pppoeconf is missing from the ubuntu-mate-desktop meta-package.
>
> Impact: My computer is wired via a SpeedStream DSL modem/router to the
> telephone line. Before I can go online my ISP requires a logon with
> password. I cannot do this when booting with any Ubuntu installation
> DVD I've used (14.04 & 16.04, both 32 and 64 bit). There is no way
> I've found to run pppoeconf to attach to the internet unless pppoeconf
> is available to do so.
>
> Any attempt to use pppoeconf to configure the connection just tells me
> the package is not installed and to ...

Read more...

Martin Wimpress (flexiondotorg) wrote :

I've installed a daily Ubuntu MATE 16.04 xenial and enabled xenial-proposed. After an 'apt update' pppoeconf is now available from ubunutu-mate-desktop and ubunutu-mate-core.

@rae1939 When Ubuntu MATE 16.04.2 is released it will be included pppoeconf in the live session.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-mate-meta - 1.154.1

---------------
ubuntu-mate-meta (1.154.1) xenial; urgency=medium

  * Refreshed dependencies
  * Added pppoeconf to cloudtop, core, desktop (LP: #1607555)
  * Added unattended-upgrades to cloudtop, core, desktop (LP: #1622257)

 -- Martin Wimpress <email address hidden> Wed, 14 Sep 2016 13:58:00 +0100

Changed in ubuntu-mate-meta (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for ubuntu-mate-meta has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Changed in ubuntu-mate:
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers